-- **************************************************************************
--   TitanClanToolTip.lua
--
--   By: KanadiaN
--        (Lindarena@Laughing Skull)
-- **************************************************************************

local L = LibStub( "AceLocale-3.0" ):GetLocale( "Titan", true );
local LB = LibStub( "AceLocale-3.0" ):GetLocale( "TitanClan", true );

-- **************************************************************************
-- NAME : TitanPanelClanButton_SetTooltipText()
-- DESC : Build Firends Tooltip for Titan Panel
-- **************************************************************************
function TitanPanelClan_SetTooltip()
     GuildRoster();
     TitanClan_CoreUtils( "sortData" );
     GameTooltip:AddLine( LB["TITAN_CLAN_TOOLTIP"], HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b );
     local guildTable = TitanClanStaticArrays.guildMenu;
     local guildData = {}
     guildData.Stream = TitanClanStaticArrays.Stream;
     if ( IsInGuild() ) then
          local ttleft, ttright, name, rank, rIndex, level, class, zone, note, oNote, online, status, classFileName, cGuild, cLevel, memStr, gInfo, key, keydata, ttCount;
          local numT, numO = GetNumGuildMembers();
          cGuild = TitanClan_ColorUtils( "cText", "yellow", LB["TITAN_CLAN_TOOLTIP_GUILD_FORMAT"]:format( GetGuildInfo( "player" ) ) );
          cLevel = TitanClan_ColorUtils( "cText", "green", GetGuildLevel() );
          lText = TitanClan_ColorUtils( "cText", "yellow", LB["TITAN_CLAN_TOOLTIP_LEVEL_TEXT"] );
          GameTooltip:AddDoubleLine( cGuild, ( "%s: %s" ):format( lText, cLevel ) );
          ttCount = 1;
          for _, key in pairs( guildData.Stream ) do
              if ( ttCount <= TitanClan.Settings.maxTooltip ) then
                    ttleft, ttright = TitanClan_CoreUtils( "Tooltip", TitanClan.Settings.tFormat, key.Name, key.Index, key.Rank, guildTable.numRanks, key.Level, key.Class, key.Zone, key.Status, key.Note, key.oNote );
                    GameTooltip:AddDoubleLine( ttleft, ttright );
                    ttCount = ttCount + 1;
               end
          end
     else
          GameTooltip:AddLine( LB["TITAN_CLAN_TOOLTIP_CLANLESS"] );
     end
     -- For showing AddOn memory Usage
     if ( TitanClan.Settings.ShowMem ) then
          GameTooltip:AddLine( "\n" );
          GameTooltip:AddLine( TitanClan_ColorUtils( "cText", "white", LB["TITAN_CLAN_TOOLTIP_MEM"] ) );
          memStr = ( "%s kb" ):format( floor( GetAddOnMemoryUsage( "TitanClan" ) ) );
	  GameTooltip:AddDoubleLine( ( "  %s"):format( LB["TITAN_CLAN_ADDON_LABEL"] ), TitanClan_ColorUtils( "cText", "green", memStr ) )
     end
     guildTable, guildData = nil, nil;
end